Trouble Installing mayavi

classic Classic list List threaded Threaded
16 messages Options
Reply | Threaded
Open this post in threaded view
|

Trouble Installing mayavi

Garima Ahuja
Hey,
I am trying to install mayavi using tarball, by running "sudo python setup.py install", its showing the followiing error:
pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature 'ui, plese help me out'

detailed traceback:
Processing dependencies for mayavi==4.2.0
Traceback (most recent call last):
  File "setup.py", line 498, in <module>
    **config
  File "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py", line 186, in setup
    return old_setup(**new_attr)
  File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
  File "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py", line 57, in run
    r = self.setuptools_run()
  File "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py", line 51, in setuptools_run
    self.do_egg_install()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py", line 101, in do_egg_install
    cmd.run()
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 363, in run
    self.easy_install(spec, not self.no_deps)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 583, in easy_install
    return self.install_item(None, spec, tmpdir, deps, True)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 635, in install_item
    self.process_distribution(spec, dist, deps)
  File "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 687, in process_distribution
    [requirement], self.local_index, self.easy_install
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 557, in resolve
    requirements.extend(dist.requires(req.extras)[::-1])
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2180, in requires
    "%s has no such extra feature %r" % (self, ext)
pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature 'ui'

Regards,
garima



_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Jaidev Deshpande
Hi,

On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
<[hidden email]> wrote:

> Hey,
> I am trying to install mayavi using tarball, by running "sudo python
> setup.py install", its showing the followiing error:
> pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature 'ui,
> plese help me out'
>
> detailed traceback:
> Processing dependencies for mayavi==4.2.0
> Traceback (most recent call last):
>   File "setup.py", line 498, in <module>
>     **config
>   File "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
> line 186, in setup
>     return old_setup(**new_attr)
>   File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
>     dist.run_commands()
>   File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
>     self.run_command(cmd)
>   File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
>     cmd_obj.run()
>   File
> "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
> line 57, in run
>     r = self.setuptools_run()
>   File
> "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
> line 51, in setuptools_run
>     self.do_egg_install()
>   File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
> line 101, in do_egg_install
>     cmd.run()
>   File
> "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line
> 363, in run
>     self.easy_install(spec, not self.no_deps)
>   File
> "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line
> 583, in easy_install
>     return self.install_item(None, spec, tmpdir, deps, True)
>   File
> "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line
> 635, in install_item
>     self.process_distribution(spec, dist, deps)
>   File
> "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line
> 687, in process_distribution
>     [requirement], self.local_index, self.easy_install
>   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 557, in
> resolve
>     requirements.extend(dist.requires(req.extras)[::-1])
>   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2180, in
> requires
>     "%s has no such extra feature %r" % (self, ext)
> pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature 'ui'
>

How did you install traits? Did you do it through the package manager
or did you build it from source?
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Garima Ahuja
through tarball only

On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande <[hidden email]> wrote:
Hi,

On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
<[hidden email]> wrote:
> Hey,
> I am trying to install mayavi using tarball, by running "sudo python
> setup.py install", its showing the followiing error:
> pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature 'ui,
> plese help me out'
>
> detailed traceback:
> Processing dependencies for mayavi==4.2.0
> Traceback (most recent call last):
>   File "setup.py", line 498, in <module>
>     **config
>   File "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
> line 186, in setup
>     return old_setup(**new_attr)
>   File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
>     dist.run_commands()
>   File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
>     self.run_command(cmd)
>   File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
>     cmd_obj.run()
>   File
> "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
> line 57, in run
>     r = self.setuptools_run()
>   File
> "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
> line 51, in setuptools_run
>     self.do_egg_install()
>   File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
> line 101, in do_egg_install
>     cmd.run()
>   File
> "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line
> 363, in run
>     self.easy_install(spec, not self.no_deps)
>   File
> "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line
> 583, in easy_install
>     return self.install_item(None, spec, tmpdir, deps, True)
>   File
> "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line
> 635, in install_item
>     self.process_distribution(spec, dist, deps)
>   File
> "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line
> 687, in process_distribution
>     [requirement], self.local_index, self.easy_install
>   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 557, in
> resolve
>     requirements.extend(dist.requires(req.extras)[::-1])
>   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2180, in
> requires
>     "%s has no such extra feature %r" % (self, ext)
> pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature 'ui'
>

How did you install traits? Did you do it through the package manager
or did you build it from source?
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev


_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Jaidev Deshpande
On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
<[hidden email]> wrote:

> through tarball only
>
> On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
> <[hidden email]> wrote:
>>
>> Hi,
>>
>> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>> <[hidden email]> wrote:
>> > Hey,
>> > I am trying to install mayavi using tarball, by running "sudo python
>> > setup.py install", its showing the followiing error:
>> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature 'ui,
>> > plese help me out'
>> >
>> > detailed traceback:
>> > Processing dependencies for mayavi==4.2.0
>> > Traceback (most recent call last):
>> >   File "setup.py", line 498, in <module>
>> >     **config
>> >   File "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>> > line 186, in setup
>> >     return old_setup(**new_attr)
>> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
>> >     dist.run_commands()
>> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
>> >     self.run_command(cmd)
>> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
>> >     cmd_obj.run()
>> >   File
>> >
>> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> > line 57, in run
>> >     r = self.setuptools_run()
>> >   File
>> >
>> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> > line 51, in setuptools_run
>> >     self.do_egg_install()
>> >   File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>> > line 101, in do_egg_install
>> >     cmd.run()
>> >   File
>> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> > line
>> > 363, in run
>> >     self.easy_install(spec, not self.no_deps)
>> >   File
>> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> > line
>> > 583, in easy_install
>> >     return self.install_item(None, spec, tmpdir, deps, True)
>> >   File
>> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> > line
>> > 635, in install_item
>> >     self.process_distribution(spec, dist, deps)
>> >   File
>> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> > line
>> > 687, in process_distribution
>> >     [requirement], self.local_index, self.easy_install
>> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 557, in
>> > resolve
>> >     requirements.extend(dist.requires(req.extras)[::-1])
>> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2180,
>> > in
>> > requires
>> >     "%s has no such extra feature %r" % (self, ext)
>> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature 'ui'
>> >
>>
>> How did you install traits? Did you do it through the package manager
>> or did you build it from source?
>> _______________________________________________
>> Enthought-Dev mailing list
>> [hidden email]
>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>

Sorry, I should have asked this earlier itself. Have you installed traitsUI too?
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Garima Ahuja
yes i have installed traitsui....

On Mon, Jun 25, 2012 at 1:20 AM, Jaidev Deshpande <[hidden email]> wrote:
On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
<[hidden email]> wrote:
> through tarball only
>
> On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
> <[hidden email]> wrote:
>>
>> Hi,
>>
>> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>> <[hidden email]> wrote:
>> > Hey,
>> > I am trying to install mayavi using tarball, by running "sudo python
>> > setup.py install", its showing the followiing error:
>> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature 'ui,
>> > plese help me out'
>> >
>> > detailed traceback:
>> > Processing dependencies for mayavi==4.2.0
>> > Traceback (most recent call last):
>> >   File "setup.py", line 498, in <module>
>> >     **config
>> >   File "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>> > line 186, in setup
>> >     return old_setup(**new_attr)
>> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
>> >     dist.run_commands()
>> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
>> >     self.run_command(cmd)
>> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
>> >     cmd_obj.run()
>> >   File
>> >
>> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> > line 57, in run
>> >     r = self.setuptools_run()
>> >   File
>> >
>> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> > line 51, in setuptools_run
>> >     self.do_egg_install()
>> >   File "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>> > line 101, in do_egg_install
>> >     cmd.run()
>> >   File
>> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> > line
>> > 363, in run
>> >     self.easy_install(spec, not self.no_deps)
>> >   File
>> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> > line
>> > 583, in easy_install
>> >     return self.install_item(None, spec, tmpdir, deps, True)
>> >   File
>> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> > line
>> > 635, in install_item
>> >     self.process_distribution(spec, dist, deps)
>> >   File
>> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> > line
>> > 687, in process_distribution
>> >     [requirement], self.local_index, self.easy_install
>> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 557, in
>> > resolve
>> >     requirements.extend(dist.requires(req.extras)[::-1])
>> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2180,
>> > in
>> > requires
>> >     "%s has no such extra feature %r" % (self, ext)
>> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature 'ui'
>> >
>>
>> How did you install traits? Did you do it through the package manager
>> or did you build it from source?
>> _______________________________________________
>> Enthought-Dev mailing list
>> [hidden email]
>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>

Sorry, I should have asked this earlier itself. Have you installed traitsUI too?
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev


_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Jaidev Deshpande
On Mon, Jun 25, 2012 at 1:22 AM, Garima Ahuja
<[hidden email]> wrote:

> yes i have installed traitsui....
>
>
> On Mon, Jun 25, 2012 at 1:20 AM, Jaidev Deshpande
> <[hidden email]> wrote:
>>
>> On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
>> <[hidden email]> wrote:
>> > through tarball only
>> >
>> > On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
>> > <[hidden email]> wrote:
>> >>
>> >> Hi,
>> >>
>> >> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>> >> <[hidden email]> wrote:
>> >> > Hey,
>> >> > I am trying to install mayavi using tarball, by running "sudo python
>> >> > setup.py install", its showing the followiing error:
>> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature
>> >> > 'ui,
>> >> > plese help me out'
>> >> >
>> >> > detailed traceback:
>> >> > Processing dependencies for mayavi==4.2.0
>> >> > Traceback (most recent call last):
>> >> >   File "setup.py", line 498, in <module>
>> >> >     **config
>> >> >   File
>> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>> >> > line 186, in setup
>> >> >     return old_setup(**new_attr)
>> >> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
>> >> >     dist.run_commands()
>> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in
>> >> > run_commands
>> >> >     self.run_command(cmd)
>> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in
>> >> > run_command
>> >> >     cmd_obj.run()
>> >> >   File
>> >> >
>> >> >
>> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> > line 57, in run
>> >> >     r = self.setuptools_run()
>> >> >   File
>> >> >
>> >> >
>> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> > line 51, in setuptools_run
>> >> >     self.do_egg_install()
>> >> >   File
>> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>> >> > line 101, in do_egg_install
>> >> >     cmd.run()
>> >> >   File
>> >> >
>> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> > line
>> >> > 363, in run
>> >> >     self.easy_install(spec, not self.no_deps)
>> >> >   File
>> >> >
>> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> > line
>> >> > 583, in easy_install
>> >> >     return self.install_item(None, spec, tmpdir, deps, True)
>> >> >   File
>> >> >
>> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> > line
>> >> > 635, in install_item
>> >> >     self.process_distribution(spec, dist, deps)
>> >> >   File
>> >> >
>> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> > line
>> >> > 687, in process_distribution
>> >> >     [requirement], self.local_index, self.easy_install
>> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 557,
>> >> > in
>> >> > resolve
>> >> >     requirements.extend(dist.requires(req.extras)[::-1])
>> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line
>> >> > 2180,
>> >> > in
>> >> > requires
>> >> >     "%s has no such extra feature %r" % (self, ext)
>> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature
>> >> > 'ui'
>> >> >
>> >>
>> >> How did you install traits? Did you do it through the package manager
>> >> or did you build it from source?
>> >> _______________________________________________
>> >> Enthought-Dev mailing list
>> >> [hidden email]
>> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>> >
>> >
>> > _______________________________________________
>> > Enthought-Dev mailing list
>> > [hidden email]
>> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>>
>> Sorry, I should have asked this earlier itself. Have you installed
>> traitsUI too?
>> _______________________________________________
>> Enthought-Dev mailing list
>> [hidden email]
>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>

Perhaps this is a conflict between two different installations of
traitsUI. I'm not sure if this will solve the problem, but try to
uninstall traits and traitsUI and reinstall them and then try
installing mayavi.
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Garima Ahuja
can u pls tell me how to uninstall them and again install them, m not sure i will do this right, m stuck installing mayavi for past 6 hours
Thanks,
garima

On Mon, Jun 25, 2012 at 1:39 AM, Jaidev Deshpande <[hidden email]> wrote:
On Mon, Jun 25, 2012 at 1:22 AM, Garima Ahuja
<[hidden email]> wrote:
> yes i have installed traitsui....
>
>
> On Mon, Jun 25, 2012 at 1:20 AM, Jaidev Deshpande
> <[hidden email]> wrote:
>>
>> On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
>> <[hidden email]> wrote:
>> > through tarball only
>> >
>> > On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
>> > <[hidden email]> wrote:
>> >>
>> >> Hi,
>> >>
>> >> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>> >> <[hidden email]> wrote:
>> >> > Hey,
>> >> > I am trying to install mayavi using tarball, by running "sudo python
>> >> > setup.py install", its showing the followiing error:
>> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature
>> >> > 'ui,
>> >> > plese help me out'
>> >> >
>> >> > detailed traceback:
>> >> > Processing dependencies for mayavi==4.2.0
>> >> > Traceback (most recent call last):
>> >> >   File "setup.py", line 498, in <module>
>> >> >     **config
>> >> >   File
>> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>> >> > line 186, in setup
>> >> >     return old_setup(**new_attr)
>> >> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
>> >> >     dist.run_commands()
>> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in
>> >> > run_commands
>> >> >     self.run_command(cmd)
>> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in
>> >> > run_command
>> >> >     cmd_obj.run()
>> >> >   File
>> >> >
>> >> >
>> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> > line 57, in run
>> >> >     r = self.setuptools_run()
>> >> >   File
>> >> >
>> >> >
>> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> > line 51, in setuptools_run
>> >> >     self.do_egg_install()
>> >> >   File
>> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>> >> > line 101, in do_egg_install
>> >> >     cmd.run()
>> >> >   File
>> >> >
>> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> > line
>> >> > 363, in run
>> >> >     self.easy_install(spec, not self.no_deps)
>> >> >   File
>> >> >
>> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> > line
>> >> > 583, in easy_install
>> >> >     return self.install_item(None, spec, tmpdir, deps, True)
>> >> >   File
>> >> >
>> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> > line
>> >> > 635, in install_item
>> >> >     self.process_distribution(spec, dist, deps)
>> >> >   File
>> >> >
>> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> > line
>> >> > 687, in process_distribution
>> >> >     [requirement], self.local_index, self.easy_install
>> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 557,
>> >> > in
>> >> > resolve
>> >> >     requirements.extend(dist.requires(req.extras)[::-1])
>> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line
>> >> > 2180,
>> >> > in
>> >> > requires
>> >> >     "%s has no such extra feature %r" % (self, ext)
>> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature
>> >> > 'ui'
>> >> >
>> >>
>> >> How did you install traits? Did you do it through the package manager
>> >> or did you build it from source?
>> >> _______________________________________________
>> >> Enthought-Dev mailing list
>> >> [hidden email]
>> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>> >
>> >
>> > _______________________________________________
>> > Enthought-Dev mailing list
>> > [hidden email]
>> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>>
>> Sorry, I should have asked this earlier itself. Have you installed
>> traitsUI too?
>> _______________________________________________
>> Enthought-Dev mailing list
>> [hidden email]
>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>

Perhaps this is a conflict between two different installations of
traitsUI. I'm not sure if this will solve the problem, but try to
uninstall traits and traitsUI and reinstall them and then try
installing mayavi.
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev


_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Jaidev Deshpande
On Mon, Jun 25, 2012 at 1:44 AM, Garima Ahuja
<[hidden email]> wrote:

> can u pls tell me how to uninstall them and again install them, m not sure i
> will do this right, m stuck installing mayavi for past 6 hours
> Thanks,
> garima
>
>
> On Mon, Jun 25, 2012 at 1:39 AM, Jaidev Deshpande
> <[hidden email]> wrote:
>>
>> On Mon, Jun 25, 2012 at 1:22 AM, Garima Ahuja
>> <[hidden email]> wrote:
>> > yes i have installed traitsui....
>> >
>> >
>> > On Mon, Jun 25, 2012 at 1:20 AM, Jaidev Deshpande
>> > <[hidden email]> wrote:
>> >>
>> >> On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
>> >> <[hidden email]> wrote:
>> >> > through tarball only
>> >> >
>> >> > On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
>> >> > <[hidden email]> wrote:
>> >> >>
>> >> >> Hi,
>> >> >>
>> >> >> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>> >> >> <[hidden email]> wrote:
>> >> >> > Hey,
>> >> >> > I am trying to install mayavi using tarball, by running "sudo
>> >> >> > python
>> >> >> > setup.py install", its showing the followiing error:
>> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature
>> >> >> > 'ui,
>> >> >> > plese help me out'
>> >> >> >
>> >> >> > detailed traceback:
>> >> >> > Processing dependencies for mayavi==4.2.0
>> >> >> > Traceback (most recent call last):
>> >> >> >   File "setup.py", line 498, in <module>
>> >> >> >     **config
>> >> >> >   File
>> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>> >> >> > line 186, in setup
>> >> >> >     return old_setup(**new_attr)
>> >> >> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
>> >> >> >     dist.run_commands()
>> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in
>> >> >> > run_commands
>> >> >> >     self.run_command(cmd)
>> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in
>> >> >> > run_command
>> >> >> >     cmd_obj.run()
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> >
>> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> >> > line 57, in run
>> >> >> >     r = self.setuptools_run()
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> >
>> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> >> > line 51, in setuptools_run
>> >> >> >     self.do_egg_install()
>> >> >> >   File
>> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>> >> >> > line 101, in do_egg_install
>> >> >> >     cmd.run()
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> > line
>> >> >> > 363, in run
>> >> >> >     self.easy_install(spec, not self.no_deps)
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> > line
>> >> >> > 583, in easy_install
>> >> >> >     return self.install_item(None, spec, tmpdir, deps, True)
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> > line
>> >> >> > 635, in install_item
>> >> >> >     self.process_distribution(spec, dist, deps)
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> > line
>> >> >> > 687, in process_distribution
>> >> >> >     [requirement], self.local_index, self.easy_install
>> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line
>> >> >> > 557,
>> >> >> > in
>> >> >> > resolve
>> >> >> >     requirements.extend(dist.requires(req.extras)[::-1])
>> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line
>> >> >> > 2180,
>> >> >> > in
>> >> >> > requires
>> >> >> >     "%s has no such extra feature %r" % (self, ext)
>> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature
>> >> >> > 'ui'
>> >> >> >
>> >> >>
>> >> >> How did you install traits? Did you do it through the package
>> >> >> manager
>> >> >> or did you build it from source?
>> >> >> _______________________________________________
>> >> >> Enthought-Dev mailing list
>> >> >> [hidden email]
>> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >
>> >> >
>> >> >
>> >> > _______________________________________________
>> >> > Enthought-Dev mailing list
>> >> > [hidden email]
>> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >
>> >>
>> >> Sorry, I should have asked this earlier itself. Have you installed
>> >> traitsUI too?
>> >> _______________________________________________
>> >> Enthought-Dev mailing list
>> >> [hidden email]
>> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>> >
>> >
>> > _______________________________________________
>> > Enthought-Dev mailing list
>> > [hidden email]
>> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>>
>> Perhaps this is a conflict between two different installations of
>> traitsUI. I'm not sure if this will solve the problem, but try to
>> uninstall traits and traitsUI and reinstall them and then try
>> installing mayavi.
>> _______________________________________________
>> Enthought-Dev mailing list
>> [hidden email]
>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>

Again, I'm sorry but I should have asked this earlier - which OS are you using?
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Garima Ahuja
Ubuntu 11.04

On Mon, Jun 25, 2012 at 1:52 AM, Jaidev Deshpande <[hidden email]> wrote:
On Mon, Jun 25, 2012 at 1:44 AM, Garima Ahuja
<[hidden email]> wrote:
> can u pls tell me how to uninstall them and again install them, m not sure i
> will do this right, m stuck installing mayavi for past 6 hours
> Thanks,
> garima
>
>
> On Mon, Jun 25, 2012 at 1:39 AM, Jaidev Deshpande
> <[hidden email]> wrote:
>>
>> On Mon, Jun 25, 2012 at 1:22 AM, Garima Ahuja
>> <[hidden email]> wrote:
>> > yes i have installed traitsui....
>> >
>> >
>> > On Mon, Jun 25, 2012 at 1:20 AM, Jaidev Deshpande
>> > <[hidden email]> wrote:
>> >>
>> >> On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
>> >> <[hidden email]> wrote:
>> >> > through tarball only
>> >> >
>> >> > On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
>> >> > <[hidden email]> wrote:
>> >> >>
>> >> >> Hi,
>> >> >>
>> >> >> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>> >> >> <[hidden email]> wrote:
>> >> >> > Hey,
>> >> >> > I am trying to install mayavi using tarball, by running "sudo
>> >> >> > python
>> >> >> > setup.py install", its showing the followiing error:
>> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature
>> >> >> > 'ui,
>> >> >> > plese help me out'
>> >> >> >
>> >> >> > detailed traceback:
>> >> >> > Processing dependencies for mayavi==4.2.0
>> >> >> > Traceback (most recent call last):
>> >> >> >   File "setup.py", line 498, in <module>
>> >> >> >     **config
>> >> >> >   File
>> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>> >> >> > line 186, in setup
>> >> >> >     return old_setup(**new_attr)
>> >> >> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in setup
>> >> >> >     dist.run_commands()
>> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in
>> >> >> > run_commands
>> >> >> >     self.run_command(cmd)
>> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in
>> >> >> > run_command
>> >> >> >     cmd_obj.run()
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> >
>> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> >> > line 57, in run
>> >> >> >     r = self.setuptools_run()
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> >
>> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> >> > line 51, in setuptools_run
>> >> >> >     self.do_egg_install()
>> >> >> >   File
>> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>> >> >> > line 101, in do_egg_install
>> >> >> >     cmd.run()
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> > line
>> >> >> > 363, in run
>> >> >> >     self.easy_install(spec, not self.no_deps)
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> > line
>> >> >> > 583, in easy_install
>> >> >> >     return self.install_item(None, spec, tmpdir, deps, True)
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> > line
>> >> >> > 635, in install_item
>> >> >> >     self.process_distribution(spec, dist, deps)
>> >> >> >   File
>> >> >> >
>> >> >> >
>> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> > line
>> >> >> > 687, in process_distribution
>> >> >> >     [requirement], self.local_index, self.easy_install
>> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line
>> >> >> > 557,
>> >> >> > in
>> >> >> > resolve
>> >> >> >     requirements.extend(dist.requires(req.extras)[::-1])
>> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line
>> >> >> > 2180,
>> >> >> > in
>> >> >> > requires
>> >> >> >     "%s has no such extra feature %r" % (self, ext)
>> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra feature
>> >> >> > 'ui'
>> >> >> >
>> >> >>
>> >> >> How did you install traits? Did you do it through the package
>> >> >> manager
>> >> >> or did you build it from source?
>> >> >> _______________________________________________
>> >> >> Enthought-Dev mailing list
>> >> >> [hidden email]
>> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >
>> >> >
>> >> >
>> >> > _______________________________________________
>> >> > Enthought-Dev mailing list
>> >> > [hidden email]
>> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >
>> >>
>> >> Sorry, I should have asked this earlier itself. Have you installed
>> >> traitsUI too?
>> >> _______________________________________________
>> >> Enthought-Dev mailing list
>> >> [hidden email]
>> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>> >
>> >
>> > _______________________________________________
>> > Enthought-Dev mailing list
>> > [hidden email]
>> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>>
>> Perhaps this is a conflict between two different installations of
>> traitsUI. I'm not sure if this will solve the problem, but try to
>> uninstall traits and traitsUI and reinstall them and then try
>> installing mayavi.
>> _______________________________________________
>> Enthought-Dev mailing list
>> [hidden email]
>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>

Again, I'm sorry but I should have asked this earlier - which OS are you using?
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev


_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Jaidev Deshpande
On Mon, Jun 25, 2012 at 1:53 AM, Garima Ahuja
<[hidden email]> wrote:

> Ubuntu 11.04
>
>
> On Mon, Jun 25, 2012 at 1:52 AM, Jaidev Deshpande
> <[hidden email]> wrote:
>>
>> On Mon, Jun 25, 2012 at 1:44 AM, Garima Ahuja
>> <[hidden email]> wrote:
>> > can u pls tell me how to uninstall them and again install them, m not
>> > sure i
>> > will do this right, m stuck installing mayavi for past 6 hours
>> > Thanks,
>> > garima
>> >
>> >
>> > On Mon, Jun 25, 2012 at 1:39 AM, Jaidev Deshpande
>> > <[hidden email]> wrote:
>> >>
>> >> On Mon, Jun 25, 2012 at 1:22 AM, Garima Ahuja
>> >> <[hidden email]> wrote:
>> >> > yes i have installed traitsui....
>> >> >
>> >> >
>> >> > On Mon, Jun 25, 2012 at 1:20 AM, Jaidev Deshpande
>> >> > <[hidden email]> wrote:
>> >> >>
>> >> >> On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
>> >> >> <[hidden email]> wrote:
>> >> >> > through tarball only
>> >> >> >
>> >> >> > On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
>> >> >> > <[hidden email]> wrote:
>> >> >> >>
>> >> >> >> Hi,
>> >> >> >>
>> >> >> >> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>> >> >> >> <[hidden email]> wrote:
>> >> >> >> > Hey,
>> >> >> >> > I am trying to install mayavi using tarball, by running "sudo
>> >> >> >> > python
>> >> >> >> > setup.py install", its showing the followiing error:
>> >> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra
>> >> >> >> > feature
>> >> >> >> > 'ui,
>> >> >> >> > plese help me out'
>> >> >> >> >
>> >> >> >> > detailed traceback:
>> >> >> >> > Processing dependencies for mayavi==4.2.0
>> >> >> >> > Traceback (most recent call last):
>> >> >> >> >   File "setup.py", line 498, in <module>
>> >> >> >> >     **config
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>> >> >> >> > line 186, in setup
>> >> >> >> >     return old_setup(**new_attr)
>> >> >> >> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in
>> >> >> >> > setup
>> >> >> >> >     dist.run_commands()
>> >> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in
>> >> >> >> > run_commands
>> >> >> >> >     self.run_command(cmd)
>> >> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in
>> >> >> >> > run_command
>> >> >> >> >     cmd_obj.run()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> >> >> > line 57, in run
>> >> >> >> >     r = self.setuptools_run()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> >> >> > line 51, in setuptools_run
>> >> >> >> >     self.do_egg_install()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>> >> >> >> > line 101, in do_egg_install
>> >> >> >> >     cmd.run()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 363, in run
>> >> >> >> >     self.easy_install(spec, not self.no_deps)
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 583, in easy_install
>> >> >> >> >     return self.install_item(None, spec, tmpdir, deps, True)
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 635, in install_item
>> >> >> >> >     self.process_distribution(spec, dist, deps)
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 687, in process_distribution
>> >> >> >> >     [requirement], self.local_index, self.easy_install
>> >> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py",
>> >> >> >> > line
>> >> >> >> > 557,
>> >> >> >> > in
>> >> >> >> > resolve
>> >> >> >> >     requirements.extend(dist.requires(req.extras)[::-1])
>> >> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py",
>> >> >> >> > line
>> >> >> >> > 2180,
>> >> >> >> > in
>> >> >> >> > requires
>> >> >> >> >     "%s has no such extra feature %r" % (self, ext)
>> >> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra
>> >> >> >> > feature
>> >> >> >> > 'ui'
>> >> >> >> >
>> >> >> >>
>> >> >> >> How did you install traits? Did you do it through the package
>> >> >> >> manager
>> >> >> >> or did you build it from source?
>> >> >> >> _______________________________________________
>> >> >> >> Enthought-Dev mailing list
>> >> >> >> [hidden email]
>> >> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >> >
>> >> >> >
>> >> >> >
>> >> >> > _______________________________________________
>> >> >> > Enthought-Dev mailing list
>> >> >> > [hidden email]
>> >> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >> >
>> >> >>
>> >> >> Sorry, I should have asked this earlier itself. Have you installed
>> >> >> traitsUI too?
>> >> >> _______________________________________________
>> >> >> Enthought-Dev mailing list
>> >> >> [hidden email]
>> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >
>> >> >
>> >> >
>> >> > _______________________________________________
>> >> > Enthought-Dev mailing list
>> >> > [hidden email]
>> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >
>> >>
>> >> Perhaps this is a conflict between two different installations of
>> >> traitsUI. I'm not sure if this will solve the problem, but try to
>> >> uninstall traits and traitsUI and reinstall them and then try
>> >> installing mayavi.
>> >> _______________________________________________
>> >> Enthought-Dev mailing list
>> >> [hidden email]
>> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>> >
>> >
>> > _______________________________________________
>> > Enthought-Dev mailing list
>> > [hidden email]
>> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>>
>> Again, I'm sorry but I should have asked this earlier - which OS are you
>> using?
>> _______________________________________________
>> Enthought-Dev mailing list
>> [hidden email]
>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>

Uninstall it though the synaptic package manager.
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Garima Ahuja
there are four packages related to traits i have uninstalled and installed again and again, they are python-traits, python-traitsgui, python-traitsbackendwx, python-traitsbackendqt, but i guess they are not the traits and traitsui that are required so i installed them from .tar.gz files on the internet

On Mon, Jun 25, 2012 at 1:54 AM, Jaidev Deshpande <[hidden email]> wrote:
On Mon, Jun 25, 2012 at 1:53 AM, Garima Ahuja
<[hidden email]> wrote:
> Ubuntu 11.04
>
>
> On Mon, Jun 25, 2012 at 1:52 AM, Jaidev Deshpande
> <[hidden email]> wrote:
>>
>> On Mon, Jun 25, 2012 at 1:44 AM, Garima Ahuja
>> <[hidden email]> wrote:
>> > can u pls tell me how to uninstall them and again install them, m not
>> > sure i
>> > will do this right, m stuck installing mayavi for past 6 hours
>> > Thanks,
>> > garima
>> >
>> >
>> > On Mon, Jun 25, 2012 at 1:39 AM, Jaidev Deshpande
>> > <[hidden email]> wrote:
>> >>
>> >> On Mon, Jun 25, 2012 at 1:22 AM, Garima Ahuja
>> >> <[hidden email]> wrote:
>> >> > yes i have installed traitsui....
>> >> >
>> >> >
>> >> > On Mon, Jun 25, 2012 at 1:20 AM, Jaidev Deshpande
>> >> > <[hidden email]> wrote:
>> >> >>
>> >> >> On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
>> >> >> <[hidden email]> wrote:
>> >> >> > through tarball only
>> >> >> >
>> >> >> > On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
>> >> >> > <[hidden email]> wrote:
>> >> >> >>
>> >> >> >> Hi,
>> >> >> >>
>> >> >> >> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>> >> >> >> <[hidden email]> wrote:
>> >> >> >> > Hey,
>> >> >> >> > I am trying to install mayavi using tarball, by running "sudo
>> >> >> >> > python
>> >> >> >> > setup.py install", its showing the followiing error:
>> >> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra
>> >> >> >> > feature
>> >> >> >> > 'ui,
>> >> >> >> > plese help me out'
>> >> >> >> >
>> >> >> >> > detailed traceback:
>> >> >> >> > Processing dependencies for mayavi==4.2.0
>> >> >> >> > Traceback (most recent call last):
>> >> >> >> >   File "setup.py", line 498, in <module>
>> >> >> >> >     **config
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>> >> >> >> > line 186, in setup
>> >> >> >> >     return old_setup(**new_attr)
>> >> >> >> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in
>> >> >> >> > setup
>> >> >> >> >     dist.run_commands()
>> >> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in
>> >> >> >> > run_commands
>> >> >> >> >     self.run_command(cmd)
>> >> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in
>> >> >> >> > run_command
>> >> >> >> >     cmd_obj.run()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> >> >> > line 57, in run
>> >> >> >> >     r = self.setuptools_run()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> >> >> > line 51, in setuptools_run
>> >> >> >> >     self.do_egg_install()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>> >> >> >> > line 101, in do_egg_install
>> >> >> >> >     cmd.run()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 363, in run
>> >> >> >> >     self.easy_install(spec, not self.no_deps)
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 583, in easy_install
>> >> >> >> >     return self.install_item(None, spec, tmpdir, deps, True)
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 635, in install_item
>> >> >> >> >     self.process_distribution(spec, dist, deps)
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 687, in process_distribution
>> >> >> >> >     [requirement], self.local_index, self.easy_install
>> >> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py",
>> >> >> >> > line
>> >> >> >> > 557,
>> >> >> >> > in
>> >> >> >> > resolve
>> >> >> >> >     requirements.extend(dist.requires(req.extras)[::-1])
>> >> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py",
>> >> >> >> > line
>> >> >> >> > 2180,
>> >> >> >> > in
>> >> >> >> > requires
>> >> >> >> >     "%s has no such extra feature %r" % (self, ext)
>> >> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra
>> >> >> >> > feature
>> >> >> >> > 'ui'
>> >> >> >> >
>> >> >> >>
>> >> >> >> How did you install traits? Did you do it through the package
>> >> >> >> manager
>> >> >> >> or did you build it from source?
>> >> >> >> _______________________________________________
>> >> >> >> Enthought-Dev mailing list
>> >> >> >> [hidden email]
>> >> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >> >
>> >> >> >
>> >> >> >
>> >> >> > _______________________________________________
>> >> >> > Enthought-Dev mailing list
>> >> >> > [hidden email]
>> >> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >> >
>> >> >>
>> >> >> Sorry, I should have asked this earlier itself. Have you installed
>> >> >> traitsUI too?
>> >> >> _______________________________________________
>> >> >> Enthought-Dev mailing list
>> >> >> [hidden email]
>> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >
>> >> >
>> >> >
>> >> > _______________________________________________
>> >> > Enthought-Dev mailing list
>> >> > [hidden email]
>> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >
>> >>
>> >> Perhaps this is a conflict between two different installations of
>> >> traitsUI. I'm not sure if this will solve the problem, but try to
>> >> uninstall traits and traitsUI and reinstall them and then try
>> >> installing mayavi.
>> >> _______________________________________________
>> >> Enthought-Dev mailing list
>> >> [hidden email]
>> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>> >
>> >
>> > _______________________________________________
>> > Enthought-Dev mailing list
>> > [hidden email]
>> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>>
>> Again, I'm sorry but I should have asked this earlier - which OS are you
>> using?
>> _______________________________________________
>> Enthought-Dev mailing list
>> [hidden email]
>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>

Uninstall it though the synaptic package manager.
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev


_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Garima Ahuja
it is still showing the same error i uninstalled and installed these 4 python-traits packages, python-traits, python-traitsgui, python-traitsbackendwx, python-traitsbackendqt

On Mon, Jun 25, 2012 at 2:05 AM, Garima Ahuja <[hidden email]> wrote:
there are four packages related to traits i have uninstalled and installed again and again, they are python-traits, python-traitsgui, python-traitsbackendwx, python-traitsbackendqt, but i guess they are not the traits and traitsui that are required so i installed them from .tar.gz files on the internet


On Mon, Jun 25, 2012 at 1:54 AM, Jaidev Deshpande <[hidden email]> wrote:
On Mon, Jun 25, 2012 at 1:53 AM, Garima Ahuja
<[hidden email]> wrote:
> Ubuntu 11.04
>
>
> On Mon, Jun 25, 2012 at 1:52 AM, Jaidev Deshpande
> <[hidden email]> wrote:
>>
>> On Mon, Jun 25, 2012 at 1:44 AM, Garima Ahuja
>> <[hidden email]> wrote:
>> > can u pls tell me how to uninstall them and again install them, m not
>> > sure i
>> > will do this right, m stuck installing mayavi for past 6 hours
>> > Thanks,
>> > garima
>> >
>> >
>> > On Mon, Jun 25, 2012 at 1:39 AM, Jaidev Deshpande
>> > <[hidden email]> wrote:
>> >>
>> >> On Mon, Jun 25, 2012 at 1:22 AM, Garima Ahuja
>> >> <[hidden email]> wrote:
>> >> > yes i have installed traitsui....
>> >> >
>> >> >
>> >> > On Mon, Jun 25, 2012 at 1:20 AM, Jaidev Deshpande
>> >> > <[hidden email]> wrote:
>> >> >>
>> >> >> On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
>> >> >> <[hidden email]> wrote:
>> >> >> > through tarball only
>> >> >> >
>> >> >> > On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
>> >> >> > <[hidden email]> wrote:
>> >> >> >>
>> >> >> >> Hi,
>> >> >> >>
>> >> >> >> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>> >> >> >> <[hidden email]> wrote:
>> >> >> >> > Hey,
>> >> >> >> > I am trying to install mayavi using tarball, by running "sudo
>> >> >> >> > python
>> >> >> >> > setup.py install", its showing the followiing error:
>> >> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra
>> >> >> >> > feature
>> >> >> >> > 'ui,
>> >> >> >> > plese help me out'
>> >> >> >> >
>> >> >> >> > detailed traceback:
>> >> >> >> > Processing dependencies for mayavi==4.2.0
>> >> >> >> > Traceback (most recent call last):
>> >> >> >> >   File "setup.py", line 498, in <module>
>> >> >> >> >     **config
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>> >> >> >> > line 186, in setup
>> >> >> >> >     return old_setup(**new_attr)
>> >> >> >> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in
>> >> >> >> > setup
>> >> >> >> >     dist.run_commands()
>> >> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in
>> >> >> >> > run_commands
>> >> >> >> >     self.run_command(cmd)
>> >> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in
>> >> >> >> > run_command
>> >> >> >> >     cmd_obj.run()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> >> >> > line 57, in run
>> >> >> >> >     r = self.setuptools_run()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>> >> >> >> > line 51, in setuptools_run
>> >> >> >> >     self.do_egg_install()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>> >> >> >> > line 101, in do_egg_install
>> >> >> >> >     cmd.run()
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 363, in run
>> >> >> >> >     self.easy_install(spec, not self.no_deps)
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 583, in easy_install
>> >> >> >> >     return self.install_item(None, spec, tmpdir, deps, True)
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 635, in install_item
>> >> >> >> >     self.process_distribution(spec, dist, deps)
>> >> >> >> >   File
>> >> >> >> >
>> >> >> >> >
>> >> >> >> >
>> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>> >> >> >> > line
>> >> >> >> > 687, in process_distribution
>> >> >> >> >     [requirement], self.local_index, self.easy_install
>> >> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py",
>> >> >> >> > line
>> >> >> >> > 557,
>> >> >> >> > in
>> >> >> >> > resolve
>> >> >> >> >     requirements.extend(dist.requires(req.extras)[::-1])
>> >> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py",
>> >> >> >> > line
>> >> >> >> > 2180,
>> >> >> >> > in
>> >> >> >> > requires
>> >> >> >> >     "%s has no such extra feature %r" % (self, ext)
>> >> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra
>> >> >> >> > feature
>> >> >> >> > 'ui'
>> >> >> >> >
>> >> >> >>
>> >> >> >> How did you install traits? Did you do it through the package
>> >> >> >> manager
>> >> >> >> or did you build it from source?
>> >> >> >> _______________________________________________
>> >> >> >> Enthought-Dev mailing list
>> >> >> >> [hidden email]
>> >> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >> >
>> >> >> >
>> >> >> >
>> >> >> > _______________________________________________
>> >> >> > Enthought-Dev mailing list
>> >> >> > [hidden email]
>> >> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >> >
>> >> >>
>> >> >> Sorry, I should have asked this earlier itself. Have you installed
>> >> >> traitsUI too?
>> >> >> _______________________________________________
>> >> >> Enthought-Dev mailing list
>> >> >> [hidden email]
>> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >
>> >> >
>> >> >
>> >> > _______________________________________________
>> >> > Enthought-Dev mailing list
>> >> > [hidden email]
>> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >> >
>> >>
>> >> Perhaps this is a conflict between two different installations of
>> >> traitsUI. I'm not sure if this will solve the problem, but try to
>> >> uninstall traits and traitsUI and reinstall them and then try
>> >> installing mayavi.
>> >> _______________________________________________
>> >> Enthought-Dev mailing list
>> >> [hidden email]
>> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>> >
>> >
>> > _______________________________________________
>> > Enthought-Dev mailing list
>> > [hidden email]
>> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>> >
>>
>> Again, I'm sorry but I should have asked this earlier - which OS are you
>> using?
>> _______________________________________________
>> Enthought-Dev mailing list
>> [hidden email]
>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>

Uninstall it though the synaptic package manager.
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev



_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Michele Mattioni
Hey Garima,

I think the best way to install Mayavi is through pip, which will
download the latest one

   pip install Mayavi

it will download all the python deps you need (still you need to
install the vtk)

The packages on the Ubuntu 11.04 are old, and the namespaces are all different!

HIH,
Michele.


On Sun, Jun 24, 2012 at 11:10 PM, Garima Ahuja
<[hidden email]> wrote:

> it is still showing the same error i uninstalled and installed these 4
> python-traits packages, python-traits, python-traitsgui,
> python-traitsbackendwx, python-traitsbackendqt
>
>
> On Mon, Jun 25, 2012 at 2:05 AM, Garima Ahuja <[hidden email]>
> wrote:
>>
>> there are four packages related to traits i have uninstalled and installed
>> again and again, they are python-traits, python-traitsgui,
>> python-traitsbackendwx, python-traitsbackendqt, but i guess they are not the
>> traits and traitsui that are required so i installed them from .tar.gz files
>> on the internet
>>
>>
>> On Mon, Jun 25, 2012 at 1:54 AM, Jaidev Deshpande
>> <[hidden email]> wrote:
>>>
>>> On Mon, Jun 25, 2012 at 1:53 AM, Garima Ahuja
>>> <[hidden email]> wrote:
>>> > Ubuntu 11.04
>>> >
>>> >
>>> > On Mon, Jun 25, 2012 at 1:52 AM, Jaidev Deshpande
>>> > <[hidden email]> wrote:
>>> >>
>>> >> On Mon, Jun 25, 2012 at 1:44 AM, Garima Ahuja
>>> >> <[hidden email]> wrote:
>>> >> > can u pls tell me how to uninstall them and again install them, m
>>> >> > not
>>> >> > sure i
>>> >> > will do this right, m stuck installing mayavi for past 6 hours
>>> >> > Thanks,
>>> >> > garima
>>> >> >
>>> >> >
>>> >> > On Mon, Jun 25, 2012 at 1:39 AM, Jaidev Deshpande
>>> >> > <[hidden email]> wrote:
>>> >> >>
>>> >> >> On Mon, Jun 25, 2012 at 1:22 AM, Garima Ahuja
>>> >> >> <[hidden email]> wrote:
>>> >> >> > yes i have installed traitsui....
>>> >> >> >
>>> >> >> >
>>> >> >> > On Mon, Jun 25, 2012 at 1:20 AM, Jaidev Deshpande
>>> >> >> > <[hidden email]> wrote:
>>> >> >> >>
>>> >> >> >> On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
>>> >> >> >> <[hidden email]> wrote:
>>> >> >> >> > through tarball only
>>> >> >> >> >
>>> >> >> >> > On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
>>> >> >> >> > <[hidden email]> wrote:
>>> >> >> >> >>
>>> >> >> >> >> Hi,
>>> >> >> >> >>
>>> >> >> >> >> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>>> >> >> >> >> <[hidden email]> wrote:
>>> >> >> >> >> > Hey,
>>> >> >> >> >> > I am trying to install mayavi using tarball, by running
>>> >> >> >> >> > "sudo
>>> >> >> >> >> > python
>>> >> >> >> >> > setup.py install", its showing the followiing error:
>>> >> >> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra
>>> >> >> >> >> > feature
>>> >> >> >> >> > 'ui,
>>> >> >> >> >> > plese help me out'
>>> >> >> >> >> >
>>> >> >> >> >> > detailed traceback:
>>> >> >> >> >> > Processing dependencies for mayavi==4.2.0
>>> >> >> >> >> > Traceback (most recent call last):
>>> >> >> >> >> >   File "setup.py", line 498, in <module>
>>> >> >> >> >> >     **config
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>>> >> >> >> >> > line 186, in setup
>>> >> >> >> >> >     return old_setup(**new_attr)
>>> >> >> >> >> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in
>>> >> >> >> >> > setup
>>> >> >> >> >> >     dist.run_commands()
>>> >> >> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in
>>> >> >> >> >> > run_commands
>>> >> >> >> >> >     self.run_command(cmd)
>>> >> >> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in
>>> >> >> >> >> > run_command
>>> >> >> >> >> >     cmd_obj.run()
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>>> >> >> >> >> > line 57, in run
>>> >> >> >> >> >     r = self.setuptools_run()
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>>> >> >> >> >> > line 51, in setuptools_run
>>> >> >> >> >> >     self.do_egg_install()
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>>> >> >> >> >> > line 101, in do_egg_install
>>> >> >> >> >> >     cmd.run()
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 363, in run
>>> >> >> >> >> >     self.easy_install(spec, not self.no_deps)
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 583, in easy_install
>>> >> >> >> >> >     return self.install_item(None, spec, tmpdir, deps,
>>> >> >> >> >> > True)
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 635, in install_item
>>> >> >> >> >> >     self.process_distribution(spec, dist, deps)
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 687, in process_distribution
>>> >> >> >> >> >     [requirement], self.local_index, self.easy_install
>>> >> >> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 557,
>>> >> >> >> >> > in
>>> >> >> >> >> > resolve
>>> >> >> >> >> >     requirements.extend(dist.requires(req.extras)[::-1])
>>> >> >> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 2180,
>>> >> >> >> >> > in
>>> >> >> >> >> > requires
>>> >> >> >> >> >     "%s has no such extra feature %r" % (self, ext)
>>> >> >> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra
>>> >> >> >> >> > feature
>>> >> >> >> >> > 'ui'
>>> >> >> >> >> >
>>> >> >> >> >>
>>> >> >> >> >> How did you install traits? Did you do it through the package
>>> >> >> >> >> manager
>>> >> >> >> >> or did you build it from source?
>>> >> >> >> >> _______________________________________________
>>> >> >> >> >> Enthought-Dev mailing list
>>> >> >> >> >> [hidden email]
>>> >> >> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >> >> >
>>> >> >> >> >
>>> >> >> >> >
>>> >> >> >> > _______________________________________________
>>> >> >> >> > Enthought-Dev mailing list
>>> >> >> >> > [hidden email]
>>> >> >> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >> >> >
>>> >> >> >>
>>> >> >> >> Sorry, I should have asked this earlier itself. Have you
>>> >> >> >> installed
>>> >> >> >> traitsUI too?
>>> >> >> >> _______________________________________________
>>> >> >> >> Enthought-Dev mailing list
>>> >> >> >> [hidden email]
>>> >> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >> >
>>> >> >> >
>>> >> >> >
>>> >> >> > _______________________________________________
>>> >> >> > Enthought-Dev mailing list
>>> >> >> > [hidden email]
>>> >> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >> >
>>> >> >>
>>> >> >> Perhaps this is a conflict between two different installations of
>>> >> >> traitsUI. I'm not sure if this will solve the problem, but try to
>>> >> >> uninstall traits and traitsUI and reinstall them and then try
>>> >> >> installing mayavi.
>>> >> >> _______________________________________________
>>> >> >> Enthought-Dev mailing list
>>> >> >> [hidden email]
>>> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >
>>> >> >
>>> >> >
>>> >> > _______________________________________________
>>> >> > Enthought-Dev mailing list
>>> >> > [hidden email]
>>> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >
>>> >>
>>> >> Again, I'm sorry but I should have asked this earlier - which OS are
>>> >> you
>>> >> using?
>>> >> _______________________________________________
>>> >> Enthought-Dev mailing list
>>> >> [hidden email]
>>> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >
>>> >
>>> >
>>> > _______________________________________________
>>> > Enthought-Dev mailing list
>>> > [hidden email]
>>> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >
>>>
>>> Uninstall it though the synaptic package manager.
>>> _______________________________________________
>>> Enthought-Dev mailing list
>>> [hidden email]
>>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>>
>>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Garima Ahuja
Hey,

I did it, it displayed the following message:

Requirement already satisfied (use --upgrade to upgrade): Mayavi in /usr/local/lib/python2.7/dist-packages/mayavi-4.2.0-py2.7-linux-i686.egg
Requirement already satisfied (use --upgrade to upgrade): apptools in /usr/local/lib/python2.7/dist-packages/AppTools-3.2.0-py2.7.egg (from Mayavi)
Requirement already satisfied (use --upgrade to upgrade): traits in /usr/local/lib/python2.7/dist-packages/traits-4.2.1-py2.7-linux-i686.egg (from Mayavi)
Requirement already satisfied (use --upgrade to upgrade): traitsui in /usr/local/lib/python2.7/dist-packages/traitsui-4.2.0-py2.7.egg (from Mayavi)
Requirement already satisfied (use --upgrade to upgrade): EnthoughtBase>=3.0.2.dev in /usr/lib/python2.7/dist-packages (from apptools->Mayavi)
Requirement already satisfied (use --upgrade to upgrade): TraitsGUI>=3.0.4.dev in /usr/lib/python2.7/dist-packages (from apptools->Mayavi)
Requirement already satisfied (use --upgrade to upgrade): pyface in /usr/local/lib/python2.7/dist-packages/pyface-4.2.0-py2.7.egg (from traitsui->Mayavi)
Cleaning up...

And then I ran this script:

Create the data.
from numpy import pi, sin, cos, mgrid
dphi, dtheta = pi/250.0, pi/250.0
[phi,theta] = mgrid[0:pi+dphi*1.5:dphi,0:2*pi+dtheta*1.5:dtheta]
m0 = 4; m1 = 3; m2 = 2; m3 = 3; m4 = 6; m5 = 2; m6 = 6; m7 = 4;
r = sin(m0*phi)**m1 + cos(m2*phi)**m3 + sin(m4*theta)**m5 + cos(m6*theta)**m7
x = r*sin(phi)*cos(theta)
y = r*cos(phi)
z = r*sin(phi)*sin(theta)

# View it.
from mayavi import mlab
s = mlab.mesh(x, y, z)
mlab.show()

It did not work, it said it could not find apptools.preferences.api module, it displayed this:

---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
/usr/local/lib/python2.7/dist-packages/IPython/utils/py3compat.pyc in execfile(fname, *where)
    173             else:
    174                 filename = fname
--> 175             __builtin__.execfile(filename, *where)

/home/garima/CDE/3DContour/test.py in <module>()
     10 
     11 # View it.

---> 12 from mayavi import mlab
     13 s = mlab.mesh(x, y, z)
     14 mlab.show()

/usr/local/lib/python2.7/dist-packages/mayavi-4.2.0-py2.7-linux-i686.egg/mayavi/mlab.py in <module>()
     25 
     26 # Mayavi imports

---> 27 from mayavi.tools.camera import view, roll, yaw, pitch, move
     28 from mayavi.tools.figure import figure, clf, gcf, savefig, \
     29     draw, sync_camera, close, screenshot

/usr/local/lib/python2.7/dist-packages/mayavi-4.2.0-py2.7-linux-i686.egg/mayavi/tools/camera.py in <module>()
     23 # We can't use gcf, as it creates a circular import in camera management

     24 # routines.

---> 25 from engine_manager import get_engine
     26 
     27 def world_to_display(x, y, z, figure=None):

/usr/local/lib/python2.7/dist-packages/mayavi-4.2.0-py2.7-linux-i686.egg/mayavi/tools/engine_manager.py in <module>()
     10 
     11 # Local imports

---> 12 from mayavi.preferences.api import preference_manager
     13 from mayavi.core.registry import registry
     14 from mayavi.core.engine import Engine

/usr/local/lib/python2.7/dist-packages/mayavi-4.2.0-py2.7-linux-i686.egg/mayavi/preferences/api.py in <module>()
      2 
      3 # The global PreferenceManager instance

----> 4 from preference_manager import preference_manager
      5 from bindings import set_scene_preferences, get_scene_preferences

/usr/local/lib/python2.7/dist-packages/mayavi-4.2.0-py2.7-linux-i686.egg/mayavi/preferences/preference_manager.py in <module>()
     28 from traits.api import HasTraits, Instance
     29 from traitsui.api import View, Group, Item
---> 30 from apptools.preferences.api import (ScopedPreferences, IPreferences,
     31         PreferencesHelper)
     32 

ImportError: No module named apptools.preferences.api


On Tue, Jun 26, 2012 at 2:53 PM, Michele Mattioni <[hidden email]> wrote:
Hey Garima,

I think the best way to install Mayavi is through pip, which will
download the latest one

  pip install Mayavi

it will download all the python deps you need (still you need to
install the vtk)

The packages on the Ubuntu 11.04 are old, and the namespaces are all different!

HIH,
Michele.


On Sun, Jun 24, 2012 at 11:10 PM, Garima Ahuja
<[hidden email]> wrote:
> it is still showing the same error i uninstalled and installed these 4
> python-traits packages, python-traits, python-traitsgui,
> python-traitsbackendwx, python-traitsbackendqt
>
>
> On Mon, Jun 25, 2012 at 2:05 AM, Garima Ahuja <[hidden email]>
> wrote:
>>
>> there are four packages related to traits i have uninstalled and installed
>> again and again, they are python-traits, python-traitsgui,
>> python-traitsbackendwx, python-traitsbackendqt, but i guess they are not the
>> traits and traitsui that are required so i installed them from .tar.gz files
>> on the internet
>>
>>
>> On Mon, Jun 25, 2012 at 1:54 AM, Jaidev Deshpande
>> <[hidden email]> wrote:
>>>
>>> On Mon, Jun 25, 2012 at 1:53 AM, Garima Ahuja
>>> <[hidden email]> wrote:
>>> > Ubuntu 11.04
>>> >
>>> >
>>> > On Mon, Jun 25, 2012 at 1:52 AM, Jaidev Deshpande
>>> > <[hidden email]> wrote:
>>> >>
>>> >> On Mon, Jun 25, 2012 at 1:44 AM, Garima Ahuja
>>> >> <[hidden email]> wrote:
>>> >> > can u pls tell me how to uninstall them and again install them, m
>>> >> > not
>>> >> > sure i
>>> >> > will do this right, m stuck installing mayavi for past 6 hours
>>> >> > Thanks,
>>> >> > garima
>>> >> >
>>> >> >
>>> >> > On Mon, Jun 25, 2012 at 1:39 AM, Jaidev Deshpande
>>> >> > <[hidden email]> wrote:
>>> >> >>
>>> >> >> On Mon, Jun 25, 2012 at 1:22 AM, Garima Ahuja
>>> >> >> <[hidden email]> wrote:
>>> >> >> > yes i have installed traitsui....
>>> >> >> >
>>> >> >> >
>>> >> >> > On Mon, Jun 25, 2012 at 1:20 AM, Jaidev Deshpande
>>> >> >> > <[hidden email]> wrote:
>>> >> >> >>
>>> >> >> >> On Mon, Jun 25, 2012 at 1:15 AM, Garima Ahuja
>>> >> >> >> <[hidden email]> wrote:
>>> >> >> >> > through tarball only
>>> >> >> >> >
>>> >> >> >> > On Mon, Jun 25, 2012 at 1:12 AM, Jaidev Deshpande
>>> >> >> >> > <[hidden email]> wrote:
>>> >> >> >> >>
>>> >> >> >> >> Hi,
>>> >> >> >> >>
>>> >> >> >> >> On Mon, Jun 25, 2012 at 12:33 AM, Garima Ahuja
>>> >> >> >> >> <[hidden email]> wrote:
>>> >> >> >> >> > Hey,
>>> >> >> >> >> > I am trying to install mayavi using tarball, by running
>>> >> >> >> >> > "sudo
>>> >> >> >> >> > python
>>> >> >> >> >> > setup.py install", its showing the followiing error:
>>> >> >> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra
>>> >> >> >> >> > feature
>>> >> >> >> >> > 'ui,
>>> >> >> >> >> > plese help me out'
>>> >> >> >> >> >
>>> >> >> >> >> > detailed traceback:
>>> >> >> >> >> > Processing dependencies for mayavi==4.2.0
>>> >> >> >> >> > Traceback (most recent call last):
>>> >> >> >> >> >   File "setup.py", line 498, in <module>
>>> >> >> >> >> >     **config
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/core.py",
>>> >> >> >> >> > line 186, in setup
>>> >> >> >> >> >     return old_setup(**new_attr)
>>> >> >> >> >> >   File "/usr/lib/python2.7/distutils/core.py", line 152, in
>>> >> >> >> >> > setup
>>> >> >> >> >> >     dist.run_commands()
>>> >> >> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 953, in
>>> >> >> >> >> > run_commands
>>> >> >> >> >> >     self.run_command(cmd)
>>> >> >> >> >> >   File "/usr/lib/python2.7/distutils/dist.py", line 972, in
>>> >> >> >> >> > run_command
>>> >> >> >> >> >     cmd_obj.run()
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>>> >> >> >> >> > line 57, in run
>>> >> >> >> >> >     r = self.setuptools_run()
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/local/lib/python2.7/dist-packages/numpy/distutils/command/install.py",
>>> >> >> >> >> > line 51, in setuptools_run
>>> >> >> >> >> >     self.do_egg_install()
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/install.py",
>>> >> >> >> >> > line 101, in do_egg_install
>>> >> >> >> >> >     cmd.run()
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 363, in run
>>> >> >> >> >> >     self.easy_install(spec, not self.no_deps)
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 583, in easy_install
>>> >> >> >> >> >     return self.install_item(None, spec, tmpdir, deps,
>>> >> >> >> >> > True)
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 635, in install_item
>>> >> >> >> >> >     self.process_distribution(spec, dist, deps)
>>> >> >> >> >> >   File
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> >
>>> >> >> >> >> > "/usr/lib/python2.7/dist-packages/setuptools/command/easy_install.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 687, in process_distribution
>>> >> >> >> >> >     [requirement], self.local_index, self.easy_install
>>> >> >> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 557,
>>> >> >> >> >> > in
>>> >> >> >> >> > resolve
>>> >> >> >> >> >     requirements.extend(dist.requires(req.extras)[::-1])
>>> >> >> >> >> >   File "/usr/lib/python2.7/dist-packages/pkg_resources.py",
>>> >> >> >> >> > line
>>> >> >> >> >> > 2180,
>>> >> >> >> >> > in
>>> >> >> >> >> > requires
>>> >> >> >> >> >     "%s has no such extra feature %r" % (self, ext)
>>> >> >> >> >> > pkg_resources.UnknownExtra: traits 4.2.1 has no such extra
>>> >> >> >> >> > feature
>>> >> >> >> >> > 'ui'
>>> >> >> >> >> >
>>> >> >> >> >>
>>> >> >> >> >> How did you install traits? Did you do it through the package
>>> >> >> >> >> manager
>>> >> >> >> >> or did you build it from source?
>>> >> >> >> >> _______________________________________________
>>> >> >> >> >> Enthought-Dev mailing list
>>> >> >> >> >> [hidden email]
>>> >> >> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >> >> >
>>> >> >> >> >
>>> >> >> >> >
>>> >> >> >> > _______________________________________________
>>> >> >> >> > Enthought-Dev mailing list
>>> >> >> >> > [hidden email]
>>> >> >> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >> >> >
>>> >> >> >>
>>> >> >> >> Sorry, I should have asked this earlier itself. Have you
>>> >> >> >> installed
>>> >> >> >> traitsUI too?
>>> >> >> >> _______________________________________________
>>> >> >> >> Enthought-Dev mailing list
>>> >> >> >> [hidden email]
>>> >> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >> >
>>> >> >> >
>>> >> >> >
>>> >> >> > _______________________________________________
>>> >> >> > Enthought-Dev mailing list
>>> >> >> > [hidden email]
>>> >> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >> >
>>> >> >>
>>> >> >> Perhaps this is a conflict between two different installations of
>>> >> >> traitsUI. I'm not sure if this will solve the problem, but try to
>>> >> >> uninstall traits and traitsUI and reinstall them and then try
>>> >> >> installing mayavi.
>>> >> >> _______________________________________________
>>> >> >> Enthought-Dev mailing list
>>> >> >> [hidden email]
>>> >> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >
>>> >> >
>>> >> >
>>> >> > _______________________________________________
>>> >> > Enthought-Dev mailing list
>>> >> > [hidden email]
>>> >> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >> >
>>> >>
>>> >> Again, I'm sorry but I should have asked this earlier - which OS are
>>> >> you
>>> >> using?
>>> >> _______________________________________________
>>> >> Enthought-Dev mailing list
>>> >> [hidden email]
>>> >> https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >
>>> >
>>> >
>>> > _______________________________________________
>>> > Enthought-Dev mailing list
>>> > [hidden email]
>>> > https://mail.enthought.com/mailman/listinfo/enthought-dev
>>> >
>>>
>>> Uninstall it though the synaptic package manager.
>>> _______________________________________________
>>> Enthought-Dev mailing list
>>> [hidden email]
>>> https://mail.enthought.com/mailman/listinfo/enthought-dev
>>
>>
>
>
> _______________________________________________
> Enthought-Dev mailing list
> [hidden email]
> https://mail.enthought.com/mailman/listinfo/enthought-dev
>
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev


_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Gael Varoquaux
On Tue, Jun 26, 2012 at 08:16:03PM +0530, Garima Ahuja wrote:
>    I did it, it displayed the following message:
>    Requirement already satisfied (use --upgrade to upgrade): Mayavi in

Try using the --upgrade switch: quite clearly you don't have the right
dependences installed.

G
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev
Reply | Threaded
Open this post in threaded view
|

Re: Trouble Installing mayavi

Garima Ahuja
That worked, thanks a lot :)

On Tue, Jun 26, 2012 at 8:58 PM, Gael Varoquaux <[hidden email]> wrote:
On Tue, Jun 26, 2012 at 08:16:03PM +0530, Garima Ahuja wrote:
>    I did it, it displayed the following message:
>    Requirement already satisfied (use --upgrade to upgrade): Mayavi in

Try using the --upgrade switch: quite clearly you don't have the right
dependences installed.

G
_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev


_______________________________________________
Enthought-Dev mailing list
[hidden email]
https://mail.enthought.com/mailman/listinfo/enthought-dev